Mailrelay API Reference

Lists products

GET https://{account}/api/v1/ecommerce/stores/{store_id}/products

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists products.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 1000.

Parameters

NameTypeRequiredDescription
store_id integer Yes ID of the store
page integer No Page number
per_page integer No Number of records per page
q[product_id_eq] string No Search: Product equals
q[product_id_cont] string No Search: Product contains
q[name_eq] string No Search: Name equals
q[name_cont] string No Search: Name contains
q[url_eq] string No Search: Url equals
q[url_cont] string No Search: Url contains
q[image_url_eq] string No Search: Image url equals
q[image_url_cont] string No Search: Image url contains
q[created_at_eq] string No Search: Created at equals
q[created_at_gteq] string No Search: Created at greater than or equal to
q[created_at_lteq] string No Search: Created at less than or equal to
q[updated_at_eq] string No Search: Updated at equals
q[updated_at_gteq] string No Search: Updated at greater than or equal to
q[updated_at_lteq] string No Search: Updated at less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "product_id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
product_id string Product
name string Name
url string Url
image_url string Image url
created_at string Created at
updated_at string Updated at
price integer Price
sale_price integer Sale price
product_variants array

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.